package com.steerinfo.meterwork.meterworkcomparespotscale.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="null")
public class MeterWorkCompareSpotScale implements IBasePO<String> {
    /**
     * 主键(COMPARE_SPOT_SCALE_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="主键",required=true)
    private String compareSpotScaleId;

    /**
     * 数据状态(0：作废，1：未使用， 2：已使用)(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="数据状态(0：作废，1：未使用， 2：已使用)",required=false)
    private String valueFlag;

    /**
     * 创建人(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 修改人(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 创建人手机号(CREATE_MAN_PHONE,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人手机号",required=false)
    private String createManPhone;

    /**
     * 修改人手机号码(UPDATE_MAN_PHONE,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人手机号码",required=false)
    private String updateManPhone;

    /**
     * 车号(CAR_NO,VARCHAR,10)
     */
    @ApiModelProperty(value="车号",required=false)
    private String carNo;

    /**
     * 数量(NUM,DECIMAL,10)
     */
    @ApiModelProperty(value="数量",required=false)
    private Long num;

    /**
     * 使用数量(USED_NUM,DECIMAL,10)
     */
    @ApiModelProperty(value="使用数量",required=false)
    private Long usedNum;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.compareSpotScaleId;
    }

    @Override
    public void setId(String compareSpotScaleId) {
        this.compareSpotScaleId = compareSpotScaleId == null ? null : compareSpotScaleId.trim();
    }

    public String getCompareSpotScaleId() {
        return compareSpotScaleId;
    }

    public void setCompareSpotScaleId(String compareSpotScaleId) {
        this.compareSpotScaleId = compareSpotScaleId == null ? null : compareSpotScaleId.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCreateManPhone() {
        return createManPhone;
    }

    public void setCreateManPhone(String createManPhone) {
        this.createManPhone = createManPhone == null ? null : createManPhone.trim();
    }

    public String getUpdateManPhone() {
        return updateManPhone;
    }

    public void setUpdateManPhone(String updateManPhone) {
        this.updateManPhone = updateManPhone == null ? null : updateManPhone.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public Long getNum() {
        return num;
    }

    public void setNum(Long num) {
        this.num = num;
    }

    public Long getUsedNum() {
        return usedNum;
    }

    public void setUsedNum(Long usedNum) {
        this.usedNum = usedNum;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", compareSpotScaleId=").append(compareSpotScaleId);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", createManPhone=").append(createManPhone);
        sb.append(", updateManPhone=").append(updateManPhone);
        sb.append(", carNo=").append(carNo);
        sb.append(", num=").append(num);
        sb.append(", usedNum=").append(usedNum);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}